const { users } = require("../mock");

const resolvers = {
  Query: {
    getAllUsers() {
      return users;
    },

    findUser(parent, args) {
      const key = args.id;
      return users.find((obj) => obj.id == key);
    }
  },

  Mutation: {
    createUser(parent, args) {
      const ids = users.map((obj) => {
        return obj.id;
      });
      const max = Math.max(...ids);
      const usr = {
        id: max + 1,
        name: args.name,
        email: args.email,
        age: args.age
      };
      users.push(usr);
      return usr;
    },

    deleteUser(parent, args) {
      const key = args.id;
      let idx = users.findIndex((obj) => {
        return obj.id == key;
      });

      let response;
      if (idx !== -1) {
        users.splice(idx, 1);
        message = "Deletion successful";
      } else {
        message = "Resource not found";
      }

      return response;
    }
  }
};

module.exports = { resolvers };
